Send orderAsk AIpost https://api.jetstream.trade/v1/trading/order (COPY)Body Paramscustomer_order_idstringA unique identifier for the order provided by the API customer. This ID must be unique to prevent duplication.contractstringrequiredDefaults to id_or_symbolThe symbol or numeric ID of the contract for which the order is being placed.typestringenumrequiredDefaults to marketSpecifies the type of order, such as limit or marketlimitmarketAllowed:limitmarketlimit_pricestringDefaults to 0The limit price for the order, applicable only if the order type is limit.time_in_forcestringenumrequiredDefaults to GTCDefines how long the order remains valid before expiration. Options include "GTC" (Good Till Canceled), "IOC" (Immediate or Cancel), "FOK" (Fill or Kill), and "PO" (Post Only).GTCIOCFOKPOAllowed:GTCIOCFOKPOreduce_onlybooleanDefaults to falseA boolean flag indicating whether the order should only reduce a position, not increase it.truefalsequantity_stepsstringThe size of the order expressed in the smallest tradable increments, always an integer. Only one quantity parameter should be provided.quantity_contractsstringThe size of the order in terms of contracts. Only one quantity parameter should be provided.quantity_assetsstringThe size of the order in units of the underlying asset. Only one quantity parameter should be provided.timestampint64requiredTime of request creation, required for all trading requests. In milliseconds.recv_windowint64Defaults to 5000The number of milliseconds after timestamp the request is valid forpremium_limitstringDefaults to 100The maximum premium in USDC that the client is willing to pay.HeadersX-SignaturestringrequiredSignature of requestResponses 201201 409409 422422 500500Updated 9 months ago